Agora Java API Reference for Android

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
io.agora.rtc2.video.FaceShapeBeautyOptions Class Reference

Face shape beauty options. This structure defines options for facial adjustments of different facial styles. More...

## Public Member Functions
| FaceShapeBeautyOptions (int style, int intensity)

## Public Attributes
int | shapeStyle
int | styleIntensity

## Static Public Attributes
static final int | FACE_SHAPE_BEAUTY_STYLE_FEMALE = 0
static final int | FACE_SHAPE_BEAUTY_STYLE_MALE = 1
static final int | FACE_SHAPE_BEAUTY_STYLE_NATURAL = 2

## Detailed Description

Face shape beauty options. This structure defines options for facial adjustments of different facial styles.

Since
  v4.4.0

## Constructor & Destructor Documentation

## ◆ FaceShapeBeautyOptions()

io.agora.rtc2.video.FaceShapeBeautyOptions.FaceShapeBeautyOptions | ( | int | style,
|  | int | intensity
| ) |  |

Face shape beauty options.

Parameters

  style | The face shape style, used with the {shapeStyle}: {FACE_SHAPE_BEAUTY_STYLE_FEMALE(0)}: (default) Female face shape style. {FACE_SHAPE_BEAUTY_STYLE_MALE(1)}: Male face shape style.
  intensity | The intensity of the pinching effect applied to the specified facial style. The value ranges from 0 (original) to 100. The default value is 0. The greater the value, the stronger the intensity applied to face pinching.

## Member Data Documentation

## ◆ FACE_SHAPE_BEAUTY_STYLE_FEMALE

final int io.agora.rtc2.video.FaceShapeBeautyOptions.FACE_SHAPE_BEAUTY_STYLE_FEMALE = 0
| static

0: (Default) Female face shape style.

## ◆ FACE_SHAPE_BEAUTY_STYLE_MALE

final int io.agora.rtc2.video.FaceShapeBeautyOptions.FACE_SHAPE_BEAUTY_STYLE_MALE = 1
| static

1: Male face shape style.

## ◆ FACE_SHAPE_BEAUTY_STYLE_NATURAL

final int io.agora.rtc2.video.FaceShapeBeautyOptions.FACE_SHAPE_BEAUTY_STYLE_NATURAL = 2
| static

2: Natural face shape style.

Since
  v4.6.0

## ◆ shapeStyle

int io.agora.rtc2.video.FaceShapeBeautyOptions.shapeStyle

The face shape style, used with {shapeStyle}: {FACE_SHAPE_BEAUTY_STYLE_FEMALE(0)}: (default) Female face shape style. {FACE_SHAPE_BEAUTY_STYLE_MALE(1)}: Male face shape style.

## ◆ styleIntensity

int io.agora.rtc2.video.FaceShapeBeautyOptions.styleIntensity

The intensity of the pinching effect applied to the specified facial style. The value ranges from 0 (original) to 100. The default value is 0. The greater the value, the stronger the intensity applied to face pinching.